Bug 23061 - The column/print/export buttons are missing on the checkout history page
Summary: The column/print/export buttons are missing on the checkout history page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
: 14166 (view as bug list)
Depends on:
Blocks: 14166
  Show dependency treegraph
 
Reported: 2019-06-06 06:33 UTC by Michal Denar
Modified: 2019-07-18 22:52 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23061: Add column/print/export feature on checkout history page (4.44 KB, patch)
2019-06-06 13:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23061: Add column/print/export feature on checkout history page (4.44 KB, patch)
2019-06-06 13:38 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23061: Add column/print/export feature on checkout history page (4.51 KB, patch)
2019-06-06 14:00 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 23061: Add column/print/export feature on checkout history page (4.56 KB, patch)
2019-06-09 20:38 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Denar 2019-06-06 06:33:28 UTC
Hi,
on many page we have column/export/print toolbar. Not on checkout history page.

Examples:
Holds history:
http://prntscr.com/ny8knt

Checkouts history:
http://prntscr.com/ny8lg4
Comment 1 Michal Denar 2019-06-06 06:47:24 UTC
*** Bug 14166 has been marked as a duplicate of this bug. ***
Comment 2 Owen Leonard 2019-06-06 13:20:12 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2019-06-06 13:38:56 UTC
Created attachment 90371 [details] [review]
Bug 23061: Add column/print/export feature on checkout history page

This patch adds columns configuration and export features to the
checkout history page.

This patch also removes some inline CSS: "overflow:hidden" from both the
checkout and holds history pages. This was breaking the table controls
tooltips, and didn't appear to me to be necessary.

To test, apply the patch and restart Plack (or restart_all on
kohadevbox).

 - Open a patron's checkout history page in the staff client.
 - The table of checkouts should have controls at the top.
   for columns configuration and export/print.
 - These controls should work correctly.
Comment 4 Michal Denar 2019-06-06 14:00:51 UTC
Created attachment 90375 [details] [review]
Bug 23061: Add column/print/export feature on checkout history page

This patch adds columns configuration and export features to the
checkout history page.

This patch also removes some inline CSS: "overflow:hidden" from both the
checkout and holds history pages. This was breaking the table controls
tooltips, and didn't appear to me to be necessary.

To test, apply the patch and restart Plack (or restart_all on
kohadevbox).

 - Open a patron's checkout history page in the staff client.
 - The table of checkouts should have controls at the top.
   for columns configuration and export/print.
 - These controls should work correctly.

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 5 Katrin Fischer 2019-06-09 20:38:43 UTC
Created attachment 90449 [details] [review]
Bug 23061: Add column/print/export feature on checkout history page

This patch adds columns configuration and export features to the
checkout history page.

This patch also removes some inline CSS: "overflow:hidden" from both the
checkout and holds history pages. This was breaking the table controls
tooltips, and didn't appear to me to be necessary.

To test, apply the patch and restart Plack (or restart_all on
kohadevbox).

 - Open a patron's checkout history page in the staff client.
 - The table of checkouts should have controls at the top.
   for columns configuration and export/print.
 - These controls should work correctly.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-06-19 12:16:56 UTC
Nice work!

Pushed to master for 19.11.00
Comment 7 Fridolin SOMERS 2019-07-15 13:23:18 UTC
Pushed to 19.05.x for 19.05.02
Comment 8 Lucas Gass 2019-07-18 22:52:57 UTC
Owen, 

Im having trouble cleanly applying this for 18.11.x. If its need can you provide a rebase if you think its needed in 18.11.x


Thanks